Changeset 5009 in josm


Ignore:
Timestamp:
2012-02-20T22:50:09+01:00 (8 years ago)
Author:
bastiK
Message:

Remotecontol (binary) API is obsolete since plugin got integrated in josm core. Note: there is still protocol API version that should be increased for any changes to the outside (http) API.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/org/openstreetmap/josm/io/remotecontrol/RemoteControl.java

    r4861 r5009  
    77/**
    88 * Manager class for remote control operations.
    9  *
    10  * To allow API there is a @see getVersion() method.
    119 *
    1210 * IMPORTANT! increment the minor version on compatible API extensions
     
    2018     */
    2119    public static final BooleanProperty PROP_REMOTECONTROL_ENABLED = new BooleanProperty("remotecontrol.enabled", false);
    22 
    23     /** API version
    24      * IMPORTANT! update the version number on API changes.
    25      */
    26     static final int apiMajorVersion = 1;
    27     static final int apiMinorVersion = 0;
    2820
    2921    /**
     
    4335     *
    4436     * @return array of integer version numbers:
    45      *    apiMajorVersion, apiMinorVersion, protocolMajorVersion, protocolMajorVersion
     37     *    apiMajorVersion (obsolete), apiMinorVersion (obsolete), protocolMajorVersion, protocolMajorVersion
    4638     */
     39    @Deprecated
    4740    public int[] getVersion()
    4841    {
    49         int versions[] = {apiMajorVersion, apiMinorVersion, protocolMajorVersion, protocolMajorVersion};
     42        int versions[] = {1, 0, protocolMajorVersion, protocolMajorVersion};
    5043        return versions;
    5144    }
Note: See TracChangeset for help on using the changeset viewer.